Page MenuHomePhabricator

Merge RandomRootPage extension into MediaWiki core
Closed, ResolvedPublic

Description

I think we should merge the RandomRootPage extension into MediaWiki core. It's a very small amount of additional code.

Event Timeline

MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride updated the task description. (Show Details)
MZMcBride added a subscriber: MZMcBride.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2015, 4:23 AM
waldyrious updated the task description. (Show Details)Aug 22 2015, 4:39 AM
waldyrious set Security to None.
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 20 2015, 12:32 AM
TiHoX1 added a subscriber: TiHoX1.Jan 10 2016, 5:41 AM

Where does the special-page's setup file (Randomrootpage.php) go if it is located in /include/specials by default? The default special-pages seem to be registered somewhere else than in LocalSettings, too.

The setup file goes away, core special pages get registered in includes/specialpage/SpecialPageFactory, autoload.php, etc. Aliases are somewhere in the languages/ directory, you'll have to look to find them.

Change 264407 had a related patch set uploaded (by TiHoX1):
Added RandomRootPage extension to the core

https://gerrit.wikimedia.org/r/264407

Change 264878 had a related patch set uploaded (by Legoktm):
Archive extension, merged into MediaWiki core

https://gerrit.wikimedia.org/r/264878

Change 264407 merged by jenkins-bot:
Add Special:Randomrootpage (from RandomRootPage extension)

https://gerrit.wikimedia.org/r/264407

Change 264878 merged by jenkins-bot:
Archive extension, merged into MediaWiki core

https://gerrit.wikimedia.org/r/264878

Legoktm closed this task as Resolved.Jan 19 2016, 11:18 PM
Legoktm assigned this task to TiHoX1.

Change 264975 had a related patch set uploaded (by Hashar):
[RandomRootPage] Archived extension

https://gerrit.wikimedia.org/r/264975

Change 264975 merged by jenkins-bot:
[RandomRootPage] Archived extension

https://gerrit.wikimedia.org/r/264975